Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class WeakDoubleKeyHashMap

    java.lang.Object
      org.codehaus.groovy.reflection.ComplexKeyHashMap
          org.codehaus.groovy.reflection.WeakDoubleKeyHashMap

    public class WeakDoubleKeyHashMap

extends ComplexKeyHashMap

Nested Class Summary
`static class` | `WeakDoubleKeyHashMap.Entry`

Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.ComplexKeyHashMap
`ComplexKeyHashMap.EntryIterator`

Field Summary

Fields inherited from class org.codehaus.groovy.reflection.ComplexKeyHashMap
`DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

Constructor Summary
`WeakDoubleKeyHashMap()`

Method Summary
`boolean` | `checkEquals(ComplexKeyHashMap.Entry e, Object key1, Object key2)`
`WeakDoubleKeyHashMap.Entry` | `createEntry()`
`Object` | `get(Object key1, Object key2)`
`WeakDoubleKeyHashMap.Entry` | `getOrPut(Object key1, Object key2)`
`ComplexKeyHashMap.Entry` | `remove(Object key1, Object key2)`
`int` | `size()`

Methods inherited from class org.codehaus.groovy.reflection.ComplexKeyHashMap
`clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeakDoubleKeyHashMap

    public WeakDoubleKeyHashMap()

Method Detail

### get

    public final Object get(Object key1,
                            Object key2)

### checkEquals

    public boolean checkEquals(ComplexKeyHashMap.Entry e,
                               Object key1,
                               Object key2)

### getOrPut

    public WeakDoubleKeyHashMap.Entry getOrPut(Object key1,
                                               Object key2)

### createEntry

    public WeakDoubleKeyHashMap.Entry createEntry()

### size

    public int size()

  Overrides:
    `size` in class `ComplexKeyHashMap`

### remove

    public final ComplexKeyHashMap.Entry remove(Object key1,
                                                Object key2)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD